/*
 * BoincSpy database upgrade script.
 *
 * Version: 0.5
 *
 * 0.3 	 June 29th, 2004
 *	 Changes to support multiple projects, stored procedures to retrieve statistics now take a project parameter. BSpy Viewer uses this
 *       to filter based on project. Added stored procedure for Predictor@home
 * 0.4	 July 11th, 2004
 *       Added use BoincSpy.
 * 0.5   December 19th 2004
 *	    - Return wu_id in readSetiWUs procedure.
 *          - Add getBestScores Procedure.
 *

 */

use BoincSpy
GO
if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[readSetiWUs]') and OBJECTPROPERTY(id, N'IsProcedure') = 1)
drop procedure [dbo].[getCPUAverages]
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON 
GO

CREATE    PROCEDURE dbo.readSetiWUs

AS
	SELECT wu_id,start_ra, start_dec
	  FROM seti_wu_header

GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON 
GO
/****** Object:  StoredProcedure [dbo].[getBestScores]    Script Date: 12/19/2004 15:08:04 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE procedure getBestScores AS
BEGIN

select gaussian='gaussian',* from gaussian where score in ( select max(score) from gaussian )

select triplet='triplet', * from triplet where score in ( select max(score) from triplet )

select pulse='pulse', * from pulse where score in ( select max(score) from pulse )

select spike='spike', * from spike where score in ( select max(score) from spike )
END

GO
SET ANSI_NULLS OFF
GO
SET QUOTED_IDENTIFIER OFF
GO

