/*
 * BoincSpy database upgrade script.
 *
 * Version: 0.5
 *
 * 0.3 	 June 29th, 2004
 *	 Changes to support multiple projects, stored procedures to retrieve statistics now take a project parameter. BSpy Viewer uses this
 *       to filter based on project. Added stored procedure for Predictor@home
 * 0.4	 July 11th, 2004
 *       Added use BoincSpy.
 *
 * 0.5   December 19th 2004
 *	    - Return wu_id in readSetiWUs procedure.
 *          - Add getBestScores Procedure.
 *
 * 0.6   January 8th, 2005
 *
 *
 * 	    - Changed a couple of stored procedures to support additional skymap functionality.
 *
 */

use BoincSpy
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON 
GO
ALTER    PROCEDURE dbo.readSetiWUs
AS
	
SELECT seti_wu_header.wu_id, start_ra, start_dec,wu_name,recorded_time_jd,row_ins_date
  FROM seti_wu_header,result
 WHERE seti_wu_header.wu_id = result.wu_id
END

GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON 
GO

ALTER procedure getBestScores AS

BEGIN

select gaussian='gaussian',wu_id, score from gaussian where score in ( select max(score) from gaussian )

select triplet='triplet', wu_id,score from triplet where score in ( select max(score) from triplet )

select pulse='pulse', wu_id,score from pulse where score in ( select max(score) from pulse )

select spike='spike', wu_id,score from spike where score in ( select max(score) from spike )
END


GO

