/*
 * BoincSpy database upgrade script.
 *
 * Version: 0.5
 *
 * 0.3 	 June 29th, 2004
 *	 Changes to support multiple projects, stored procedures to retrieve statistics now take a project parameter. BSpy Viewer uses this
 *       to filter based on project. Added stored procedure for Predictor@home
 * 0.4	 July 11th, 2004
 *       Added use BoincSpy.
 *
 * 0.5   December 19th 2004
 *	    - Return wu_id in readSetiWUs procedure.
 *          - Add getBestScores Procedure.
 *
 * 0.6   January 8th, 2005
 *
 *
 * 	    - Changed a couple of stored procedures to support additional skymap functionality.
 * 
 * 0.7   February 6th, 2005
 *
 *	    - Modifiyed the alg for calculating the number of WU's / day processed. WHen 2005 game around it broke.
 *          - For the skymap only view SETI@Home projects. ( Do not display the alpha / beta project results ).	
 *
 */

use BoincSpy
GO
ALTER    PROCEDURE dbo.readSetiWUs
AS
	


SELECT seti_wu_header.wu_id, start_ra, start_dec,wu_name,recorded_time_jd,row_ins_date
  FROM seti_wu_header,result
 WHERE seti_wu_header.wu_id = result.wu_id
   AND result.project = 'SETI@home'

go

ALTER        PROCEDURE dbo.getNumWorkUnitsPerDay
	(
		@project   nchar(32),
		@hostname  nchar(32)
	)
AS



select wu_per_day = count(*) / cast ( datediff( dd, min(row_ins_date), max(row_ins_date)) as float) 
 from 
result 
where project = @project
	
/*	

declare @tmp_var float
	declare @total_avg float
	declare @number_of_avg_day_buckets float

	select @total_avg = 0
	select @number_of_avg_day_buckets =0

	DECLARE Avg_day CURSOR FOR
    select count(*)
          from result
	where result.project = @project 
      group by datepart(year, row_ins_date)*10000 + datepart( mm, row_ins_date)* 100 + datepart(dd, row_ins_date )
	
	OPEN Avg_day

	Fetch  next from Avg_day
	   into @tmp_var

	select @total_avg = @total_avg + @tmp_var
	select @number_of_avg_day_buckets = @number_of_avg_day_buckets + 1
	  
	
	while @@fetch_status = 0
	BEGIN
	  Fetch  next from Avg_day
	   into @tmp_var
	   if ( @@fetch_status = 0 )
	   BEGIN
	   select @total_avg = @total_avg + @tmp_var
	   select @number_of_avg_day_buckets = @number_of_avg_day_buckets + 1
	   END
	END

	select  wu_per_day = @total_avg /  @number_of_avg_day_buckets

	CLOSE Avg_day
	DEALLOCATE Avg_day
*/
go 